Bug 1015281 - libreoffice crashes when clicking "Custom Animation" in "Tasks" pane
libreoffice crashes when clicking "Custom Animation" in "Tasks" pane
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 15:16 EDT by Matt Hirsch
Modified: 2013-10-12 00:31 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.1.2.3-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 21:08:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Odp document that causes crash in libreoffice (9.05 KB, application/vnd.oasis.opendocument.presentation)
2013-10-03 15:16 EDT, Matt Hirsch
no flags Details

  None (edit)
Description Matt Hirsch 2013-10-03 15:16:17 EDT
Created attachment 807231 [details]
Odp document that causes crash in libreoffice

Description of problem:
I opened a pptx powerpoint presentation created in Office 2010 and saved it as and odp presentation with libreoffice. On one slide, when I click the "Custom Animation" tab in the "Tasks" pane, libreoffice crashes.

I have reduced the test case to a document containing a single blank slide that still exhibits the problem, and have attached the odp file.

Version-Release number of selected component (if applicable):
libreoffice-writer-4.1.2.2-1.fc19.x86_64
libreoffice-draw-4.1.2.2-1.fc19.x86_64
libreoffice-graphicfilter-4.1.2.2-1.fc19.x86_64
libreoffice-ure-4.1.2.2-1.fc19.x86_64
libreoffice-4.1.2.2-1.fc19.x86_64
libreoffice-emailmerge-4.1.2.2-1.fc19.x86_64
libreoffice-xsltfilter-4.1.2.2-1.fc19.x86_64
libreoffice-opensymbol-fonts-4.1.2.2-1.fc19.noarch
libreoffice-impress-4.1.2.2-1.fc19.x86_64
libreoffice-base-4.1.2.2-1.fc19.x86_64
libreoffice-math-4.1.2.2-1.fc19.x86_64
libreoffice-pyuno-4.1.2.2-1.fc19.x86_64
libreoffice-calc-4.1.2.2-1.fc19.x86_64
libreoffice-gdb-debug-support-4.1.2.2-1.fc19.x86_64
libreoffice-langpack-en-4.1.2.2-1.fc19.x86_64
libreoffice-core-4.1.2.2-1.fc19.x86_64
libreoffice-pdfimport-4.1.2.2-1.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open test.odp in libreoffice
2. Click "Custom Animation" on the "Tasks" pane on the right.

Actual results:
libreoffice exits immediately

Expected results:
Edit animations

Additional info:
Comment 1 Caolan McNamara 2013-10-07 06:59:38 EDT
reproducible
Comment 2 Fedora Update System 2013-10-08 04:17:03 EDT
libreoffice-4.1.2.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.2.3-3.fc20
Comment 3 Fedora Update System 2013-10-08 04:18:13 EDT
libreoffice-4.1.2.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.2.3-3.fc19
Comment 4 Fedora Update System 2013-10-09 10:40:10 EDT
Package libreoffice-4.1.2.3-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.2.3-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18561/libreoffice-4.1.2.3-3.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-09 21:08:44 EDT
libreoffice-4.1.2.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-10-12 00:31:07 EDT
libreoffice-4.1.2.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.